commit:     05a91d89cab7787dc5471a0e39428fdc63fb6f84
Author:     Sebastian Pipping <sebastian <AT> pipping <DOT> org>
AuthorDate: Mon Jun  9 13:40:52 2014 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Jun  9 13:40:52 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=05a91d89

net-dns/inadyn-mt: 02.24.40

---
 net-dns/inadyn-mt/inadyn-mt-02.24.40.ebuild | 52 +++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/net-dns/inadyn-mt/inadyn-mt-02.24.40.ebuild 
b/net-dns/inadyn-mt/inadyn-mt-02.24.40.ebuild
new file mode 100644
index 0000000..0b47aa7
--- /dev/null
+++ b/net-dns/inadyn-mt/inadyn-mt-02.24.40.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+inherit user eutils
+
+MY_P="${PN}.v.${PV}"
+DESCRIPTION="Dynamic DNS (DynDNS) Update daemon in C that supports multiple 
services"
+HOMEPAGE="http://sourceforge.net/projects/inadyn-mt";
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${MY_P}/${MY_P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="media-libs/libao"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+       enewuser ${PN}
+}
+
+src_prepare() {
+       rm -R bin || die
+
+       # inadyn-mt comes with outdated inadyn man pages - see inadyn-mt bug 
2445206
+       rm man/inadyn.8
+       rm man/inadyn.conf.5
+}
+
+src_install() {
+       # dodir /usr/share || die
+       emake DESTDIR="${D}" INSTALL_PREFIX="${D}"/usr/share install || die
+
+       dodoc ChangeLog NEWS README NOTICE AUTHORS || die
+       dohtml readme.html || die
+
+       newinitd "${FILESDIR}"/${PN}.initd ${PN} || die
+       insinto /etc
+       doins "${FILESDIR}"/${PN}.conf || die
+}
+
+pkg_postinst() {
+       elog "You will need to edit /etc/inadyn-mt.conf before running 
inadyn-mt"
+       elog "for the first time. The format is basically the same as the"
+       elog "command line options; see inadyn-mt and inadyn-mt.conf manpages."
+}

Reply via email to